import type * as Brevo from "../../../../index.js";
/**
 * @example
 *     {}
 */
export interface GetEmailCampaignsRequest {
    /** Filter on the type of the campaigns */
    type?: Brevo.GetEmailCampaignsRequestType;
    /** Filter on the status of the campaign */
    status?: Brevo.GetEmailCampaignsRequestStatus;
    /** Filter on type of the statistics required. Example **globalStats** value will only fetch globalStats info of the campaign in returned response.This option only returns data for events occurred in the last 6 months.For older campaigns, it’s advisable to use the **Get Campaign Report** endpoint. */
    statistics?: Brevo.GetEmailCampaignsRequestStatistics;
    /** **Mandatory if endDate is used**. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent email campaigns. **Prefer to pass your timezone in date-time format for accurate result** ( only available if either 'status' not passed and if passed is set to 'sent' ) */
    startDate?: string;
    /** **Mandatory if startDate is used**. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent email campaigns. **Prefer to pass your timezone in date-time format for accurate result** ( only available if either 'status' not passed and if passed is set to 'sent' ) */
    endDate?: string;
    /** Number of documents per page */
    limit?: number;
    /** Index of the first document in the page */
    offset?: number;
    /** Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed */
    sort?: Brevo.GetEmailCampaignsRequestSort;
    /** Use this flag to exclude htmlContent from the response body. If set to **true**, htmlContent field will be returned as empty string in the response body */
    excludeHtmlContent?: boolean;
}
